summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--jjb/csit/csit-perf.yaml4
-rw-r--r--jjb/scripts/setup_vpp_ubuntu_docker_test.sh5
2 files changed, 7 insertions, 2 deletions
diff --git a/jjb/csit/csit-perf.yaml b/jjb/csit/csit-perf.yaml
index 1a277f7a..b8b3a686 100644
--- a/jjb/csit/csit-perf.yaml
+++ b/jjb/csit/csit-perf.yaml
@@ -107,6 +107,7 @@
- 2n-clx
- 2n-skx
- 2n-dnv
+ - 2n-zn2
- 3n-skx
- 3n-hsw
- 3n-dnv
@@ -117,6 +118,7 @@
- 2n-clx
- 2n-skx
- 2n-dnv
+ - 2n-zn2
- 3n-skx
- 3n-hsw
- 3n-dnv
@@ -127,6 +129,7 @@
- 2n-clx
- 2n-skx
- 2n-dnv
+ - 2n-zn2
- 3n-skx
- 3n-hsw
- 3n-dnv
@@ -137,6 +140,7 @@
- 2n-clx
- 2n-skx
- 2n-dnv
+ - 2n-zn2
- 3n-skx
- 3n-hsw
- 3n-dnv
diff --git a/jjb/scripts/setup_vpp_ubuntu_docker_test.sh b/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
index 00d14c3e..8ed0acae 100644
--- a/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
+++ b/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
@@ -14,6 +14,7 @@ echo "---> jjb/scripts/setup_vpp_ubuntu_docker_test.sh"
set -e -o pipefail
OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
if [ -n ${DOCKER_TEST} ] ; then
# for 4 cores:
@@ -33,9 +34,9 @@ fi
# This will remove any previously installed external packages
# for old branch builds
if [ "${GERRIT_BRANCH}" != "master" ]; then
+ echo "Removing $OS_ID-$OS_VERSION_ID package 'vpp-ext-deps'"
if [ "${OS_ID,,}" == "ubuntu" ] || [ "${OS_ID,,}" == "debian" ] ; then
- [ -n "$(dpkg -l | grep vpp-ext-deps)" ] \
- && sudo apt-get -y remove vpp-ext-deps
+ sudo apt-get -y remove vpp-ext-deps || true
elif [ "${OS_ID,,}" == "centos" ]; then
sudo yum -y erase vpp-ext-deps || true
sudo yum clean all || true